import{s as $e,n as be,o as ge}from"../chunks/scheduler.7da89386.js";import{S as Me,i as _e,g as i,s as a,r as y,A as we,h as p,f as s,c as n,j as de,u as C,x as o,k as he,y as ve,a as l,v as U,d as J,t as k,w as G}from"../chunks/index.20910acc.js";import{C as te}from"../chunks/CodeBlock.cde23137.js";import{H as se,E as Te}from"../chunks/EditOnGithub.ba36cbd0.js";function je(le){let c,P,L,Z,m,E,r,ae="이 튜토리얼에서는 <code>huggingface_hub</code>를 사용하여 Hub에서 모델, 데이터 세트 및 Spaces를 검색하는 방법을 배웁니다.",Q,u,X,f,ne=`<code>huggingface_hub</code> 라이브러리에는 Hub와 상호작용하기 위한 HTTP 클라이언트<code>HfApi</code>가 포함되어 있습니다.
이를 통해, Hub에 저장된 모델, 데이터셋, 그리고 Spaces를 나열할 수 있습니다.`,z,d,R,h,ie="<code>list_models()</code>의 출력은 Hub에 저장되어 있는 모델들을 나열한 결과입니다.",q,$,pe="마찬가지로, <code>list_datasets()</code>를 사용하여 데이터 세트를 나열하고 <code>list_spaces()</code>를 사용하여 Spaces를 나열할 수 있습니다.",B,b,N,g,oe=`리포지토리를 나열하는 것도 유용하지만, 검색을 필터링하고 싶을 수도 있습니다.
리스트에는 다음과 같은 여러 속성이 있습니다.`,W,M,ce="<li><code>filter</code></li> <li><code>author</code></li> <li><code>search</code></li> <li>…</li>",F,_,me=`이 매개변수 중 두 개는 직관적입니다(<code>author</code> 및 <code>search</code>). 그렇다면 <code>filter</code>는 어떤 것을 나타낼까요?
<code>filter</code>는 <code>ModelFilter</code> 객체(또는 <code>DatasetFilter</code>)를 입력으로 받습니다. 이를 이용해 필터링 하고 싶은 모델을 지정하여 인스턴스를 생성할 수 있습니다.`,I,w,re="PyTorch로 작동되고 imagenet 데이터 세트로 훈련된, 이미지 분류를 위한 Hub의 모든 모델을 찾는 방법으로 예를 들어보겠습니다. 이 과정은 단일 [ModelFilter]를 사용하여 수행할 수 있습니다. 이때, 필터링 속성들은 ‘논리적 AND’로 결합되어, 지정한 모든 조건을 만족하는 모델만 선택됩니다.",A,v,Y,T,ue="필터링하는 과정에서 모델을 정렬하고 상위 결과만 선택할 수도 있습니다. 다음 예제는 Hub에서 가장 많이 다운로드된 상위 5개 데이터 세트를 가져옵니다.",V,j,D,H,fe='Hub에서 사용 가능한 필터에 대해 살펴보려면 웹브라우저에서 <a href="https://huggingface.co/models" rel="nofollow">모델</a> 및 <a href="https://huggingface.co/datasets" rel="nofollow">데이터 세트</a> 페이지를 방문하여 일부 매개변수를 검색한 다음, URL에서 값들을 확인해보세요.',K,x,O,S,ee;return m=new se({props:{title:"Hub에서 검색하기",local:"search-the-hub",headingTag:"h1"}}),u=new se({props:{title:"리포지토리를 어떻게 나열하나요?",local:"how-to-list-repositories-",headingTag:"h2"}}),d=new te({props:{code:"ZnJvbSUyMGh1Z2dpbmdmYWNlX2h1YiUyMGltcG9ydCUyMEhmQXBpJTBBYXBpJTIwJTNEJTIwSGZBcGkoKSUwQW1vZGVscyUyMCUzRCUyMGFwaS5saXN0X21vZGVscygp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> HfApi
<span class="hljs-meta">&gt;&gt;&gt; </span>api = HfApi()
<span class="hljs-meta">&gt;&gt;&gt; </span>models = api.list_models()`,wrap:!1}}),b=new se({props:{title:"리포지토리를 어떻게 필터링하나요?",local:"how-to-filter-repositories-",headingTag:"h2"}}),v=new te({props:{code:"bW9kZWxzJTIwJTNEJTIwaGZfYXBpLmxpc3RfbW9kZWxzKCUwQSUyMCUyMCUyMCUyMGZpbHRlciUzRE1vZGVsRmlsdGVyKCUwQSUwOSUwOXRhc2slM0QlMjJpbWFnZS1jbGFzc2lmaWNhdGlvbiUyMiUyQyUwQSUwOSUwOWxpYnJhcnklM0QlMjJweXRvcmNoJTIyJTJDJTBBJTA5JTA5dHJhaW5lZF9kYXRhc2V0JTNEJTIyaW1hZ2VuZXQlMjIlMEElMDkpJTBBKQ==",highlighted:`models = hf_api.list_models(
    <span class="hljs-built_in">filter</span>=ModelFilter(
		task=<span class="hljs-string">&quot;image-classification&quot;</span>,
		library=<span class="hljs-string">&quot;pytorch&quot;</span>,
		trained_dataset=<span class="hljs-string">&quot;imagenet&quot;</span>
	)
)`,wrap:!1}}),j=new te({props:{code:"bGlzdChsaXN0X2RhdGFzZXRzKHNvcnQlM0QlMjJkb3dubG9hZHMlMjIlMkMlMjBkaXJlY3Rpb24lM0QtMSUyQyUyMGxpbWl0JTNENSkp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(list_datasets(sort=<span class="hljs-string">&quot;downloads&quot;</span>, direction=-<span class="hljs-number">1</span>, limit=<span class="hljs-number">5</span>))
[DatasetInfo(
	<span class="hljs-built_in">id</span>=<span class="hljs-string">&#x27;argilla/databricks-dolly-15k-curated-en&#x27;</span>,
	author=<span class="hljs-string">&#x27;argilla&#x27;</span>,
	sha=<span class="hljs-string">&#x27;4dcd1dedbe148307a833c931b21ca456a1fc4281&#x27;</span>,
	last_modified=datetime.datetime(<span class="hljs-number">2023</span>, <span class="hljs-number">10</span>, <span class="hljs-number">2</span>, <span class="hljs-number">12</span>, <span class="hljs-number">32</span>, <span class="hljs-number">53</span>, tzinfo=datetime.timezone.utc),
	private=<span class="hljs-literal">False</span>,
	downloads=<span class="hljs-number">8889377</span>,
	(...)`,wrap:!1}}),x=new Te({props:{source:"https://github.com/huggingface/huggingface_hub/blob/main/docs/source/ko/guides/search.md"}}),{c(){c=i("meta"),P=a(),L=i("p"),Z=a(),y(m.$$.fragment),E=a(),r=i("p"),r.innerHTML=ae,Q=a(),y(u.$$.fragment),X=a(),f=i("p"),f.innerHTML=ne,z=a(),y(d.$$.fragment),R=a(),h=i("p"),h.innerHTML=ie,q=a(),$=i("p"),$.innerHTML=pe,B=a(),y(b.$$.fragment),N=a(),g=i("p"),g.textContent=oe,W=a(),M=i("ul"),M.innerHTML=ce,F=a(),_=i("p"),_.innerHTML=me,I=a(),w=i("p"),w.textContent=re,A=a(),y(v.$$.fragment),Y=a(),T=i("p"),T.textContent=ue,V=a(),y(j.$$.fragment),D=a(),H=i("p"),H.innerHTML=fe,K=a(),y(x.$$.fragment),O=a(),S=i("p"),this.h()},l(e){const t=we("svelte-u9bgzb",document.head);c=p(t,"META",{name:!0,content:!0}),t.forEach(s),P=n(e),L=p(e,"P",{}),de(L).forEach(s),Z=n(e),C(m.$$.fragment,e),E=n(e),r=p(e,"P",{"data-svelte-h":!0}),o(r)!=="svelte-le4amt"&&(r.innerHTML=ae),Q=n(e),C(u.$$.fragment,e),X=n(e),f=p(e,"P",{"data-svelte-h":!0}),o(f)!=="svelte-16rf7sn"&&(f.innerHTML=ne),z=n(e),C(d.$$.fragment,e),R=n(e),h=p(e,"P",{"data-svelte-h":!0}),o(h)!=="svelte-16vo5ep"&&(h.innerHTML=ie),q=n(e),$=p(e,"P",{"data-svelte-h":!0}),o($)!=="svelte-1ivcqk4"&&($.innerHTML=pe),B=n(e),C(b.$$.fragment,e),N=n(e),g=p(e,"P",{"data-svelte-h":!0}),o(g)!=="svelte-1tvmxil"&&(g.textContent=oe),W=n(e),M=p(e,"UL",{"data-svelte-h":!0}),o(M)!=="svelte-11piw8k"&&(M.innerHTML=ce),F=n(e),_=p(e,"P",{"data-svelte-h":!0}),o(_)!=="svelte-pz9l7h"&&(_.innerHTML=me),I=n(e),w=p(e,"P",{"data-svelte-h":!0}),o(w)!=="svelte-1uzqvll"&&(w.textContent=re),A=n(e),C(v.$$.fragment,e),Y=n(e),T=p(e,"P",{"data-svelte-h":!0}),o(T)!=="svelte-19mvq8d"&&(T.textContent=ue),V=n(e),C(j.$$.fragment,e),D=n(e),H=p(e,"P",{"data-svelte-h":!0}),o(H)!=="svelte-1sye4bu"&&(H.innerHTML=fe),K=n(e),C(x.$$.fragment,e),O=n(e),S=p(e,"P",{}),de(S).forEach(s),this.h()},h(){he(c,"name","hf:doc:metadata"),he(c,"content",He)},m(e,t){ve(document.head,c),l(e,P,t),l(e,L,t),l(e,Z,t),U(m,e,t),l(e,E,t),l(e,r,t),l(e,Q,t),U(u,e,t),l(e,X,t),l(e,f,t),l(e,z,t),U(d,e,t),l(e,R,t),l(e,h,t),l(e,q,t),l(e,$,t),l(e,B,t),U(b,e,t),l(e,N,t),l(e,g,t),l(e,W,t),l(e,M,t),l(e,F,t),l(e,_,t),l(e,I,t),l(e,w,t),l(e,A,t),U(v,e,t),l(e,Y,t),l(e,T,t),l(e,V,t),U(j,e,t),l(e,D,t),l(e,H,t),l(e,K,t),U(x,e,t),l(e,O,t),l(e,S,t),ee=!0},p:be,i(e){ee||(J(m.$$.fragment,e),J(u.$$.fragment,e),J(d.$$.fragment,e),J(b.$$.fragment,e),J(v.$$.fragment,e),J(j.$$.fragment,e),J(x.$$.fragment,e),ee=!0)},o(e){k(m.$$.fragment,e),k(u.$$.fragment,e),k(d.$$.fragment,e),k(b.$$.fragment,e),k(v.$$.fragment,e),k(j.$$.fragment,e),k(x.$$.fragment,e),ee=!1},d(e){e&&(s(P),s(L),s(Z),s(E),s(r),s(Q),s(X),s(f),s(z),s(R),s(h),s(q),s($),s(B),s(N),s(g),s(W),s(M),s(F),s(_),s(I),s(w),s(A),s(Y),s(T),s(V),s(D),s(H),s(K),s(O),s(S)),s(c),G(m,e),G(u,e),G(d,e),G(b,e),G(v,e),G(j,e),G(x,e)}}}const He='{"title":"Hub에서 검색하기","local":"search-the-hub","sections":[{"title":"리포지토리를 어떻게 나열하나요?","local":"how-to-list-repositories-","sections":[],"depth":2},{"title":"리포지토리를 어떻게 필터링하나요?","local":"how-to-filter-repositories-","sections":[],"depth":2}],"depth":1}';function xe(le){return ge(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ke extends Me{constructor(c){super(),_e(this,c,xe,je,$e,{})}}export{ke as component};
